## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenOperationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenTypedElementImpl
                          org.eclipse.emf.codegen.ecore.genmodel.impl.GenOperationImpl

All Implemented Interfaces:
  GenBase, GenOperation, GenTypedElement, Notifier, EObject, InternalEObject

    public class GenOperationImpl

extends GenTypedElementImpl
implements GenOperation

An implementation of the model object 'Gen Operation'.

The following features are implemented:

- `Gen Class`
- `Ecore Operation`
- `Gen Parameters`
- `Gen Type Parameters`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EOperation` `ecoreOperation` The cached value of the '`Ecore Operation`' reference
`protected EList<GenParameter>` `genParameters` The cached value of the '`Gen Parameters`' containment reference list
`protected EList<GenTypeParameter>` `genTypeParameters` The cached value of the '`Gen Type Parameters`' containment reference list

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenOperationImpl()`

Method Summary
`EOperation` `basicGetEcoreOperation()`
`NotificationChain` `basicSetGenClass(GenClass newGenClass, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected java.lang.String` `getBody()`
`java.lang.String` `getBody(java.lang.String indentation)`
`java.lang.String` `getCapName()`
`EOperation` `getEcoreOperation()`
`ETypedElement` `getEcoreTypedElement()`
`java.lang.String` `getFormattedName()`
`GenClass` `getGenClass()`
`java.util.List<GenClassifier>` `getGenExceptions()`
`GenPackage` `getGenPackage()`
`EList<GenParameter>` `getGenParameters()`
`EList<GenTypeParameter>` `getGenTypeParameters()`
`java.lang.String` `getImportedInternalType(GenClass context)` This returns the real imported feature type used internally, regardless of the value of GenModel.isSuppressEMFValues().
`java.lang.String` `getImportedMetaType()`
`java.lang.String` `getImportedReturnType()` Deprecated. As of EMF 2.1, use `getImportedType(GenClass)` instead.
`java.lang.String` `getImportedType(GenClass context)` This returns the feature type, either primitive (e.g.
`java.lang.String` `getListItemType(GenClass context)` This returns the imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members
`java.lang.String` `getModelInfo()`
`java.lang.String` `getName()`
`java.lang.String` `getObjectReturnType()` Deprecated. As of EMF 2.1, use `getObjectType(GenClass)` instead.
`java.lang.String` `getObjectType(GenClass context)` This returns the imported name of the feature type or, if primitive, of the wrapper class (e.g.
`java.lang.String` `getParameterNames(java.lang.String separator)`
`java.lang.String` `getParameters()` Deprecated.
`java.lang.String` `getParameters(GenClass context)`
`protected java.lang.String` `getParameters(GenClass context, boolean formal)`
`java.lang.String` `getParameterTypes(java.lang.String separator)`
`java.lang.String` `getParameterTypes(java.lang.String separator, boolean qualified)`
`java.lang.String` `getPrimitiveValueFunction()`
`java.lang.String` `getQualifiedListItemType(GenClass context)` This returns the qualified name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.
`protected EClassifier` `getReturn()` Deprecated. As of EMF 2.1, simply call `getEcoreTypedElement().getEType()`.
`java.lang.String` `getReturnType()` Deprecated. As of EMF 2.1, use `getType(GenClass)` instead.
`java.lang.String` `getReturnTypeClassifier()` Deprecated. As of EMF 2.1, use `getTypeClassifierAccessorName` instead.
`GenPackage` `getReturnTypeGenPackage()` Deprecated. As of EMF 2.1, use `getTypeGenPackage` instead.
`java.lang.String` `getThrows()` Deprecated.
`java.lang.String` `getThrows(GenClass context)`
`java.lang.String` `getType(GenClass context)` This returns the feature type, either primitive (e.g.
`java.lang.String` `getTypeClassifierAccessorName()`
`GenPackage` `getTypeGenPackage()`
`java.lang.String` `getTypeParameters(GenClass context)`
`boolean` `hasBody()`
`boolean` `hasGenericExceptions()`
`boolean` `hasParameterDocumentation()`
`void` `initialize(EOperation eOperation)`
`boolean` `isFeatureMapType()`
`boolean` `isInvariant()`
`boolean` `isOverrideOf(GenClass context, GenOperation genOperation)`
`boolean` `isOverrideOf(GenOperation genOperation)` Use `GenOperation.isOverrideOf(GenClass, GenOperation)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references.
`boolean` `isPrimitiveReturnType()` Deprecated. As of EMF 2.1, use `isPrimitiveType` instead.
`boolean` `isPrimitiveType()`
`boolean` `isStringBasedType()`
`boolean` `isStringType()`
`boolean` `isSuppressedVisibility()`
`boolean` `isVoid()`
`boolean` `reconcile()`
`boolean` `reconcile(GenOperation oldGenOperationVersion)`
`protected void` `reconcileSettings(GenOperation oldGenOperationVersion)`
`void` `setEcoreOperation(EOperation newEcoreOperation)`
`void` `setGenClass(GenClass newGenClass)`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenTypedElementImpl

`appendModelSetting, getContext, getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getInternalTypeCast, getListDataType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getMapModelInfo, getMultiplicityModelInfo, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getOrderedFlag, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getTypeClassifier, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getUniqueFlag, getUpperBound, hasEObjectBound, hasEObjectExtensionBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isEObjectExtensionType, isEObjectType, isFeatureMapEntry, isFeatureMapWrapped, isListDataType, isListType, isMapEntryType, isMapType, isUncheckedCast, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getInterfaceName, getJavaLangTypes, getJavaReservedWords, getMainGenModel, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasModelContribution, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isDerivedType, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, isRemappedXMLType, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement

`getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getInternalTypeCast, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getOrderedFlag, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getTypeClassifier, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getUniqueFlag, getUpperBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapWrapped, isListDataType, isListType, isMapType, isUncheckedCast, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ecoreOperation

    protected EOperation ecoreOperation

  The cached value of the '`Ecore Operation`' reference.

  See Also:
    `getEcoreOperation()`

### genParameters

    protected EList<GenParameter> genParameters

  The cached value of the '`Gen Parameters`' containment reference list.

  See Also:
    `getGenParameters()`

### genTypeParameters

    protected EList<GenTypeParameter> genTypeParameters

  The cached value of the '`Gen Type Parameters`' containment reference list.

  See Also:
    `getGenTypeParameters()`

Constructor Detail

### GenOperationImpl

    protected GenOperationImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenTypedElementImpl`

### getGenClass

    public GenClass getGenClass()

  Specified by:
    `getGenClass` in interface `GenOperation`
  Returns:
    the value of the 'Gen Class' container reference.
  See Also:
    `GenOperation.setGenClass(GenClass)`, `GenModelPackage.getGenOperation_GenClass()`, `GenClass.getGenOperations()`

### basicSetGenClass

    public NotificationChain basicSetGenClass(GenClass newGenClass,
                                              NotificationChain msgs)

### setGenClass

    public void setGenClass(GenClass newGenClass)

  Specified by:
    `setGenClass` in interface `GenOperation`
  Parameters:
    `newGenClass` - the new value of the 'Gen Class' container reference.
  See Also:
    `GenOperation.getGenClass()`

### getEcoreOperation

    public EOperation getEcoreOperation()

  Specified by:
    `getEcoreOperation` in interface `GenOperation`
  Returns:
    the value of the 'Ecore Operation' reference.
  See Also:
    `GenOperation.setEcoreOperation(EOperation)`, `GenModelPackage.getGenOperation_EcoreOperation()`

### basicGetEcoreOperation

    public EOperation basicGetEcoreOperation()

### setEcoreOperation

    public void setEcoreOperation(EOperation newEcoreOperation)

  Specified by:
    `setEcoreOperation` in interface `GenOperation`
  Parameters:
    `newEcoreOperation` - the new value of the 'Ecore Operation' reference.
  See Also:
    `GenOperation.getEcoreOperation()`

### getGenParameters

    public EList<GenParameter> getGenParameters()

  Specified by:
    `getGenParameters` in interface `GenOperation`
  Returns:
    the value of the 'Gen Parameters' containment reference list.
  See Also:
    `GenModelPackage.getGenOperation_GenParameters()`, `GenParameter.getGenOperation()`

### getGenTypeParameters

    public EList<GenTypeParameter> getGenTypeParameters()

  Specified by:
    `getGenTypeParameters` in interface `GenOperation`
  Returns:
    the value of the 'Gen Type Parameters' containment reference list.
  See Also:
    `GenModelPackage.getGenOperation_GenTypeParameters()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenBaseImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenBaseImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenBaseImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenBaseImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenBaseImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenBaseImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getEcoreTypedElement

    public ETypedElement getEcoreTypedElement()

  Specified by:
    `getEcoreTypedElement` in class `GenTypedElementImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `GenOperation`
  Specified by:
    `getName` in class `GenBaseImpl`

### getCapName

    public java.lang.String getCapName()

  Specified by:
    `getCapName` in interface `GenOperation`

### getFormattedName

    public java.lang.String getFormattedName()

  Specified by:
    `getFormattedName` in interface `GenOperation`

### isVoid

    public boolean isVoid()

  Specified by:
    `isVoid` in interface `GenOperation`

### getReturn

    @Deprecated
    protected EClassifier getReturn()

  Deprecated. As of EMF 2.1, simply call `getEcoreTypedElement().getEType()`.

### getTypeClassifierAccessorName

    public java.lang.String getTypeClassifierAccessorName()

  Specified by:
    `getTypeClassifierAccessorName` in interface `GenTypedElement`
  Overrides:
    `getTypeClassifierAccessorName` in class `GenTypedElementImpl`

### getTypeGenPackage

    public GenPackage getTypeGenPackage()

  Specified by:
    `getTypeGenPackage` in interface `GenTypedElement`
  Overrides:
    `getTypeGenPackage` in class `GenTypedElementImpl`

### getType

    public java.lang.String getType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the feature type, either primitive (e.g. "int") or qualified class name (e.g. "java.lang.String", "org.eclipse.emf.common.util.EList", or "org.sample.company.Company")

  Specified by:
    `getType` in interface `GenTypedElement`
  Overrides:
    `getType` in class `GenTypedElementImpl`

### getImportedType

    public java.lang.String getImportedType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the feature type, either primitive (e.g. "int") or imported class name (e.g. "String", "EList", or "Company").

  Specified by:
    `getImportedType` in interface `GenTypedElement`
  Overrides:
    `getImportedType` in class `GenTypedElementImpl`

### getObjectType

    public java.lang.String getObjectType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the imported name of the feature type or, if primitive, of the wrapper class (e.g. "Integer").

  Specified by:
    `getObjectType` in interface `GenTypedElement`
  Overrides:
    `getObjectType` in class `GenTypedElementImpl`

### getImportedInternalType

    public java.lang.String getImportedInternalType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the real imported feature type used internally, regardless of the value of GenModel.isSuppressEMFValues().

  Specified by:
    `getImportedInternalType` in interface `GenTypedElement`
  Overrides:
    `getImportedInternalType` in class `GenTypedElementImpl`

### isFeatureMapType

    public boolean isFeatureMapType()

  Specified by:
    `isFeatureMapType` in interface `GenTypedElement`
  Overrides:
    `isFeatureMapType` in class `GenTypedElementImpl`

### getListItemType

    public java.lang.String getListItemType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members

  Specified by:
    `getListItemType` in interface `GenTypedElement`
  Overrides:
    `getListItemType` in class `GenTypedElementImpl`

### getQualifiedListItemType

    public java.lang.String getQualifiedListItemType(GenClass context)

  Description copied from interface: `GenTypedElement`
  This returns the qualified name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.

  Specified by:
    `getQualifiedListItemType` in interface `GenTypedElement`
  Overrides:
    `getQualifiedListItemType` in class `GenTypedElementImpl`

### isPrimitiveType

    public boolean isPrimitiveType()

  Specified by:
    `isPrimitiveType` in interface `GenTypedElement`
  Overrides:
    `isPrimitiveType` in class `GenTypedElementImpl`

### getPrimitiveValueFunction

    public java.lang.String getPrimitiveValueFunction()

  Specified by:
    `getPrimitiveValueFunction` in interface `GenTypedElement`
  Overrides:
    `getPrimitiveValueFunction` in class `GenTypedElementImpl`

### isStringType

    public boolean isStringType()

  Specified by:
    `isStringType` in interface `GenTypedElement`
  Overrides:
    `isStringType` in class `GenTypedElementImpl`

### isStringBasedType

    public boolean isStringBasedType()

  Specified by:
    `isStringBasedType` in interface `GenTypedElement`
  Overrides:
    `isStringBasedType` in class `GenTypedElementImpl`

### getReturnTypeClassifier

    @Deprecated
    public java.lang.String getReturnTypeClassifier()

  Deprecated. As of EMF 2.1, use `getTypeClassifierAccessorName` instead.

  Specified by:
    `getReturnTypeClassifier` in interface `GenOperation`

### getReturnTypeGenPackage

    @Deprecated
    public GenPackage getReturnTypeGenPackage()

  Deprecated. As of EMF 2.1, use `getTypeGenPackage` instead.

  Specified by:
    `getReturnTypeGenPackage` in interface `GenOperation`

### getReturnType

    @Deprecated
    public java.lang.String getReturnType()

  Deprecated. As of EMF 2.1, use `getType(GenClass)` instead.

  Specified by:
    `getReturnType` in interface `GenOperation`

### getImportedReturnType

    @Deprecated
    public java.lang.String getImportedReturnType()

  Deprecated. As of EMF 2.1, use `getImportedType(GenClass)` instead.

  Specified by:
    `getImportedReturnType` in interface `GenOperation`

### getObjectReturnType

    @Deprecated
    public java.lang.String getObjectReturnType()

  Deprecated. As of EMF 2.1, use `getObjectType(GenClass)` instead.

  Specified by:
    `getObjectReturnType` in interface `GenOperation`

### isPrimitiveReturnType

    @Deprecated
    public boolean isPrimitiveReturnType()

  Deprecated. As of EMF 2.1, use `isPrimitiveType` instead.

  Specified by:
    `isPrimitiveReturnType` in interface `GenOperation`

### getParameters

    @Deprecated
    public java.lang.String getParameters()

  Deprecated.

  Description copied from interface: `GenOperation`
  Use `GenOperation.getParameters(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getParameters(getGenClass())`.

  Specified by:
    `getParameters` in interface `GenOperation`
  See Also:
    `GenOperation.getParameters(GenClass)`

### getParameters

    public java.lang.String getParameters(GenClass context)

  Specified by:
    `getParameters` in interface `GenOperation`

### getParameters

    protected java.lang.String getParameters(GenClass context,
                                             boolean formal)

### getParameterTypes

    public java.lang.String getParameterTypes(java.lang.String separator)

  Specified by:
    `getParameterTypes` in interface `GenOperation`

### getParameterTypes

    public java.lang.String getParameterTypes(java.lang.String separator,
                                              boolean qualified)

  Specified by:
    `getParameterTypes` in interface `GenOperation`

### getImportedMetaType

    public java.lang.String getImportedMetaType()

  Specified by:
    `getImportedMetaType` in interface `GenOperation`

### getGenPackage

    public GenPackage getGenPackage()

  Specified by:
    `getGenPackage` in interface `GenOperation`

### initialize

    public void initialize(EOperation eOperation)

  Specified by:
    `initialize` in interface `GenOperation`

### getModelInfo

    public java.lang.String getModelInfo()

  Specified by:
    `getModelInfo` in interface `GenOperation`
  Overrides:
    `getModelInfo` in class `GenBaseImpl`

### reconcile

    public boolean reconcile(GenOperation oldGenOperationVersion)

  Specified by:
    `reconcile` in interface `GenOperation`

### reconcileSettings

    protected void reconcileSettings(GenOperation oldGenOperationVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`

### getBody

    protected java.lang.String getBody()

### hasBody

    public boolean hasBody()

  Specified by:
    `hasBody` in interface `GenOperation`

### getBody

    public java.lang.String getBody(java.lang.String indentation)

  Specified by:
    `getBody` in interface `GenOperation`

### getGenExceptions

    public java.util.List<GenClassifier> getGenExceptions()

  Specified by:
    `getGenExceptions` in interface `GenOperation`

### getThrows

    @Deprecated
    public java.lang.String getThrows()

  Deprecated.

  Description copied from interface: `GenOperation`
  Use `GenOperation.getThrows(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getThrows(getGenClass())`.

  Specified by:
    `getThrows` in interface `GenOperation`
  See Also:
    `GenOperation.getThrows(GenClass)`

### getThrows

    public java.lang.String getThrows(GenClass context)

  Specified by:
    `getThrows` in interface `GenOperation`

### isInvariant

    public boolean isInvariant()

  Specified by:
    `isInvariant` in interface `GenOperation`

### getParameterNames

    public java.lang.String getParameterNames(java.lang.String separator)

  Specified by:
    `getParameterNames` in interface `GenOperation`

### isOverrideOf

    public boolean isOverrideOf(GenOperation genOperation)

  Description copied from interface: `GenOperation`
  Use `GenOperation.isOverrideOf(GenClass, GenOperation)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `isOverrideOf(getGenClass(), genOperation)`.

  Specified by:
    `isOverrideOf` in interface `GenOperation`
  See Also:
    `GenOperation.isOverrideOf(GenClass, GenOperation)`

### isOverrideOf

    public boolean isOverrideOf(GenClass context,
                                GenOperation genOperation)

  Specified by:
    `isOverrideOf` in interface `GenOperation`

### getTypeParameters

    public java.lang.String getTypeParameters(GenClass context)

  Specified by:
    `getTypeParameters` in interface `GenOperation`

### hasGenericExceptions

    public boolean hasGenericExceptions()

  Specified by:
    `hasGenericExceptions` in interface `GenOperation`

### hasParameterDocumentation

    public boolean hasParameterDocumentation()

  Specified by:
    `hasParameterDocumentation` in interface `GenOperation`

### isSuppressedVisibility

    public boolean isSuppressedVisibility()

  Specified by:
    `isSuppressedVisibility` in interface `GenOperation`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.